Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# Algorithms and Utility Functions
[Pixel]

## Detailed Description

Pixel algorithms, metafunctions and utility functions.

Since pixels model the ColorBaseConcept, all color-base related algorithms also apply to pixels. See Algorithms and Utility Functions for more.

## Classes

struct | default_color_converter
| class for color-converting one pixel to another More...
struct | pixels_are_compatible
| Returns whether two pixels are compatible. More...

## Functions

template<typename SrcP, typename DstP>
void | color_convert (const SrcP &src, DstP &dst)
| helper function for converting one pixel to another using GIL default color-converters where ScrP models HomogeneousPixelConcept DstP models HomogeneousPixelValueConcept